xcb_input_device_bell(3)

NAME
xcb_input_device_bell -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_device_bell(xcb_connection_t *conn, uint8_t device_id, uint8_t feedback_id, uint8_t feedback_class, int8_t percent);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

device_id
    TODO: NOT YET DOCUMENTED.

feedback_id
    TODO: NOT YET DOCUMENTED.

feedback_class
    TODO: NOT YET DOCUMENTED.

percent
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_input_device_bell_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.